<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSafCcdPurgeBlockLearnedRoutesReq StructType
 * @subpackage Structs
 */
class GetSafCcdPurgeBlockLearnedRoutesReq extends AbstractStructBase
{
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | learnedPattern | learnedPatternPrefix | callControlIdentity | ipAddress
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The learnedPattern
     * Meta information extracted from the WSDL
     * - documentation: Either learnedPattern or learnedPatternPrefix has to be set
     * - base: xsd:string
     * - choice: uuid | learnedPattern | learnedPatternPrefix | callControlIdentity | ipAddress
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $learnedPattern;
    /**
     * The learnedPatternPrefix
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | learnedPattern | learnedPatternPrefix | callControlIdentity | ipAddress
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $learnedPatternPrefix;
    /**
     * The callControlIdentity
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | learnedPattern | learnedPatternPrefix | callControlIdentity | ipAddress
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $callControlIdentity;
    /**
     * The ipAddress
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | learnedPattern | learnedPatternPrefix | callControlIdentity | ipAddress
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $ipAddress;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetSafCcdPurgeBlockLearnedRoutesReq
     * @uses GetSafCcdPurgeBlockLearnedRoutesReq::setUuid()
     * @uses GetSafCcdPurgeBlockLearnedRoutesReq::setLearnedPattern()
     * @uses GetSafCcdPurgeBlockLearnedRoutesReq::setLearnedPatternPrefix()
     * @uses GetSafCcdPurgeBlockLearnedRoutesReq::setCallControlIdentity()
     * @uses GetSafCcdPurgeBlockLearnedRoutesReq::setIpAddress()
     * @uses GetSafCcdPurgeBlockLearnedRoutesReq::setReturnedTags()
     * @uses GetSafCcdPurgeBlockLearnedRoutesReq::setSequence()
     * @param string $uuid
     * @param string $learnedPattern
     * @param string $learnedPatternPrefix
     * @param string $callControlIdentity
     * @param string $ipAddress
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes $returnedTags
     * @param int $sequence
     */
    public function __construct($uuid = null, $learnedPattern = null, $learnedPatternPrefix = null, $callControlIdentity = null, $ipAddress = null, \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes $returnedTags = null, $sequence = null)
    {
        $this
            ->setUuid($uuid)
            ->setLearnedPattern($learnedPattern)
            ->setLearnedPatternPrefix($learnedPatternPrefix)
            ->setCallControlIdentity($callControlIdentity)
            ->setIpAddress($ipAddress)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSafCcdPurgeBlockLearnedRoutesReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get learnedPattern value
     * @return string|null
     */
    public function getLearnedPattern()
    {
        return isset($this->learnedPattern) ? $this->learnedPattern : null;
    }
    /**
     * Set learnedPattern value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $learnedPattern
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSafCcdPurgeBlockLearnedRoutesReq
     */
    public function setLearnedPattern($learnedPattern = null)
    {
        if (is_null($learnedPattern) || (is_array($learnedPattern) && empty($learnedPattern))) {
            unset($this->learnedPattern);
        } else {
            $this->learnedPattern = $learnedPattern;
        }
        return $this;
    }
    /**
     * Get learnedPatternPrefix value
     * @return string|null
     */
    public function getLearnedPatternPrefix()
    {
        return isset($this->learnedPatternPrefix) ? $this->learnedPatternPrefix : null;
    }
    /**
     * Set learnedPatternPrefix value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $learnedPatternPrefix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSafCcdPurgeBlockLearnedRoutesReq
     */
    public function setLearnedPatternPrefix($learnedPatternPrefix = null)
    {
        if (is_null($learnedPatternPrefix) || (is_array($learnedPatternPrefix) && empty($learnedPatternPrefix))) {
            unset($this->learnedPatternPrefix);
        } else {
            $this->learnedPatternPrefix = $learnedPatternPrefix;
        }
        return $this;
    }
    /**
     * Get callControlIdentity value
     * @return string|null
     */
    public function getCallControlIdentity()
    {
        return isset($this->callControlIdentity) ? $this->callControlIdentity : null;
    }
    /**
     * Set callControlIdentity value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $callControlIdentity
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSafCcdPurgeBlockLearnedRoutesReq
     */
    public function setCallControlIdentity($callControlIdentity = null)
    {
        if (is_null($callControlIdentity) || (is_array($callControlIdentity) && empty($callControlIdentity))) {
            unset($this->callControlIdentity);
        } else {
            $this->callControlIdentity = $callControlIdentity;
        }
        return $this;
    }
    /**
     * Get ipAddress value
     * @return string|null
     */
    public function getIpAddress()
    {
        return isset($this->ipAddress) ? $this->ipAddress : null;
    }
    /**
     * Set ipAddress value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $ipAddress
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSafCcdPurgeBlockLearnedRoutesReq
     */
    public function setIpAddress($ipAddress = null)
    {
        if (is_null($ipAddress) || (is_array($ipAddress) && empty($ipAddress))) {
            unset($this->ipAddress);
        } else {
            $this->ipAddress = $ipAddress;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSafCcdPurgeBlockLearnedRoutesReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RSafCcdPurgeBlockLearnedRoutes $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSafCcdPurgeBlockLearnedRoutesReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
